## org.eclipse.datatools.sqltools.parsers.sql.query
Class SQLControlParseResult

    java.lang.Object
      org.eclipse.datatools.sqltools.parsers.sql.SQLParseResult
          org.eclipse.datatools.sqltools.parsers.sql.query.SQLControlParseResult

    public class SQLControlParseResult

extends SQLParseResult

This class contains the result of parsing a SQL "control" statement. (In ISO SQL terms, CALL and RETURN are "control" statements, probably meaning "transfer of control".) The parse result contains the statement (if the statement parsed successfully) and an parse error message list (when it did not parse sucessfully).

Author:
  Sangeetha

Constructor Summary
`SQLControlParseResult(SQLControlStatement stmt, java.util.List errorList)` Constructs an instance of this class with the given control statement and parse error list.

Method Summary
`CallStatement` `getCallStatement()` Gets a CALL statement model from the parse result, if it contains one.
`void` `setCallStatement(CallStatement stmt)` Sets the SQL statement model in the parse result to the given CALL statement.

Methods inherited from class org.eclipse.datatools.sqltools.parsers.sql.SQLParseResult
`getErrorList, getSQLStatement, setErrorList, setSQLStatement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLControlParseResult

    public SQLControlParseResult(SQLControlStatement stmt,
                                 java.util.List errorList)

  Constructs an instance of this class with the given control statement and parse error list.

  Parameters:
    `stmt` - the control statement model resulting from a parse
    `errorList` - an error list resulting from a parse

Method Detail

### getCallStatement

    public CallStatement getCallStatement()

  Gets a CALL statement model from the parse result, if it contains one.

  Returns:
    the call statement contained in the parse result, otherwise null

### setCallStatement

    public void setCallStatement(CallStatement stmt)

  Sets the SQL statement model in the parse result to the given CALL statement.

  Parameters:
    `stmt` - the CALL statement to set